Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 378413 - [patch] net-news/yarssr-0.2.2-r1: URL Handler fails to launch correct URL in web browser
Summary: [patch] net-news/yarssr-0.2.2-r1: URL Handler fails to launch correct URL in ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-08 22:09 UTC by godmachine (Lance Poore)
Modified: 2013-04-08 15:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patches the syntax for the URL open in the GUI.pm for yarssr-0.2.2 (yarssr-0.2.2-url.patch,643 bytes, patch)
2011-08-08 22:09 UTC, godmachine (Lance Poore)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description godmachine (Lance Poore) 2011-08-08 22:09:12 UTC
Created attachment 282629 [details, diff]
Patches the syntax for the URL open in the GUI.pm for yarssr-0.2.2

In yarssr-0.2.2-r1 there is a bug with the syntax of the URL launcher in the GUI.pm module.  I am attaching a proposed patch that fixes the issue, and will let it work as expected.
Comment 1 Michael Palimaka (kensington) gentoo-dev 2013-04-08 15:13:22 UTC
Thanks, fixed in CVS.

+  08 Apr 2013; Michael Palimaka <kensington@gentoo.org>
+  +files/yarssr-0.2.2-cve-2007-5837.patch, +yarssr-0.2.2-r2.ebuild:
+  Improve patch for CVE 2007-5837 wrt bug #378413.